Subject: bug#19886: closed (Re: bug#19886: 11.87; emacs 24 and jit-lock-force-redisplay)

From: Tassilo Horn <[email-masked]>
Date: Tue, 17 Feb 2015 20:26:06 +0100

Uwe Brauer <[email-masked]> writes:

>    > This has been fixed about two years ago with commit
>    > 5b5ef6eeb0468c273a329a05d31b3788fd46b5d7.  Is there a specific reason
>    > you are using the outdated AUCTeX 11.87 instead of a current version?
>
> Not really. However I never got the elpa to work for me,

ELPA/package.el is supposed to work out-of-the-box without any
configuration for at least all emacs versions starting with 24.3.

If the recipe

  M-x package-list-packages ;; or just list-packages in very recent
                            ;; emacs versions
  ;; move point to the line with auctex
  i ;; mark as to be installed
  x ;; execute

doesn't work for you that should be considered a bug.  Depending if that
receipe just doesn't work with auctex or any other package you should
file a bug report for auctex or emacs, respectively.

> so I prefer to install 11.88 from source. I did it and I failed.
>
> I run ./configure EMACS=/opt/emacs24/bin/emacs   
> (because my old Kubuntu ships only emacs23.)
>
> Then running 
> make 
>
> gives the following error 
>
> In end of data:
> tex-jp.el:848:1:Warning: the function `japanese-TeX-coding-ejsu' is not known
>     to be defined.
> Wrote /home/oub/ALLES/emacs/site-lisp/packages/auctex-11.88/tex-jp.elc
> make: *** [lisp] Error 1

That's no error but just a warning.  The error must have happened
somewhere before.

> Maybe I should upgrade GNU emacs (24.3.50.1)?

You could try some released version to exclude temporary problems that
are only in this snapshot version.  But I don't think that's the problem
here.

Bye,
Tassilo